Skip to navigation

Get billing payment information for payment

View as Markdown

Retrieves the information for a specified payment.

Privileges required: account administrator

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

paymentIdstringRequired
The ID of the payment.

Response

Successful response.
amountstringOptional
The total amount of the purchase.
descriptionstringOptional

A sender-defined description of the line item.

paymentDatestringOptional
paymentIdstringOptional
The ID of the payment.
paymentNumberstringOptional

When true, a PDF version of the invoice is available.

To get the PDF, make the call again and change “Accept:” in the header to “Accept: application/pdf”.

Errors

400
Bad Request Error